function [scatteredfield] = Greensfunction(mesh,K,pointsource,curve)

x = mesh.points(1,:);
y = mesh.points(2,:);

T1  = sqrt( ( x - pointsource(1) ).^2 ...
          + (curve.psi(x,y) - pointsource(2) ).^2 );
      
      
T2  = sqrt( ( x - pointsource(1) ).^2 ...
          + (curve.psi(x,y) + pointsource(2) ).^2 );

      
scatteredfield = -(1i/4) * ( besselh(0,1,K*T1) - besselh(0,1,K*T2) );

end
